import * as ec2 from 'aws-cdk-lib/aws-ec2';
import * as ecs from 'aws-cdk-lib/aws-ecs';
import * as efs from 'aws-cdk-lib/aws-efs';
import { Construct } from 'constructs';
import { GithubSecret } from './synced-access-point';
export interface EfsFargateTaskProps {
    readonly accessPoint: efs.AccessPoint;
    readonly secret?: GithubSecret;
    readonly syncContainer: ecs.ContainerDefinitionOptions;
    readonly vpc: ec2.IVpc;
    /**
     * EFS mount target in the container
     *
     * @default /mnt/efsmount
     */
    readonly efsMountTarget?: string;
}
/**
 * Represents the AWS Fargate task with EFS and secret manager support
 */
export declare class EfsFargateTask extends Construct {
    readonly task: ecs.FargateTaskDefinition;
    readonly securityGroup: ec2.SecurityGroup;
    constructor(scope: Construct, id: string, props: EfsFargateTaskProps);
}
